package inria.meije.rc.sugarcubes;

public class AndConfig extends BinaryConfig 
{
    public AndConfig(Config c1, Config c2){super(c1,c2);}

    public String toString(){ return "("+c1+" and "+c2+")"; }
    public boolean fixed(Domain domain){ 
        boolean b1 = c1.fixed(domain);
        boolean b2 = c2.fixed(domain);
        if (b1 && !c1.evaluate(domain)) return true;
        if (b2 && !c2.evaluate(domain)) return true;
        return b1 && b2; 
    }
    public boolean evaluate(Domain domain){ 
        return c1.evaluate(domain) && c2.evaluate(domain); 
    }
}
